package es.uv.garcosda.controllers;

import java.util.List;
import java.util.Optional;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.domain.Post;
import es.uv.garcosda.services.PostService;


@RestController
@RequestMapping("/api/v1")
public class BlogController {
	private final static Logger LOGGER = LoggerFactory.getLogger(BlogController.class);
	
	@Autowired 
	private PostService ps;
	
	@GetMapping("posts")
	public ResponseEntity<List<Post>> findAll() {
		return new ResponseEntity<List<Post>>(this.ps.findAll(), HttpStatus.OK);
	}
	
	@GetMapping("posts/{id}")
	public ResponseEntity<Post> findById(@PathVariable("id") String id) {
		Post p = ps.findById(id);
		if(p.getId() != null) {
			return new ResponseEntity<Post>(p, HttpStatus.OK);
		}
		else {
			return new ResponseEntity<Post>(new Post(), HttpStatus.NOT_FOUND);
		}
	}
	

	
}
